require File.expand_path('../mcmailer/mailchimp_client', __FILE__)
require File.expand_path('../mcmailer/mailchimp_notification_handler', __FILE__)

module Mcmailer
  VERSION = "0.0.4"

  @config = {}
  @valid_config_keys = ['test', 'development', 'production']

  def self.config
    @config
  end

  def self.configure(opts={})
    opts.each {|k,v| @config[k] = v if @valid_config_keys.include? k}
  end

  def self.configure_with(yaml_file_path)
    begin
      config = YAML.load_file(yaml_file_path)
    rescue Errno::ENOENT
      log(:error, "YAML configuration file couldn't be found!")
    rescue Psych::SyntaxError
      log(:error, "YAML configuration file contains invalid syntax!")
    end

    configure(config)
  end
end
